Bug 169742 - seuser -X fails with error
seuser -X fails with error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setools (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-02 16:13 EDT by Alex Marsh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: setools-2.1.2-1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 09:38:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Marsh 2005-10-02 16:13:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
[root@beer ~]# seuser -X
*** glibc detected *** seuser: realloc(): invalid next size: 0x086de278 ***
======= Backtrace: =========
/lib/libc.so.6[0x727045]
/lib/libc.so.6(__libc_realloc+0x101)[0x727a30]
seuser[0x8061e9a]
seuser[0x806920c]
seuser[0x806ba8c]
seuser[0x80645e0]
seuser[0x805c3a8]
seuser(Seuser_InitUserdb+0x73)[0x805afc3]
/usr/lib/libtcl8.4.so(TclInvokeStringCommand+0x51)[0x9af2b5]
/usr/lib/libtcl8.4.so(TclEvalObjvInternal+0x1f2)[0x9b07dd]
/usr/lib/libtcl8.4.so[0x9d8e50]
/usr/lib/libtcl8.4.so(TclCompEvalObj+0xa0)[0x9dee8e]
/usr/lib/libtcl8.4.so(TclObjInterpProc+0x25b)[0xa09d4d]
/usr/lib/libtcl8.4.so(TclEvalObjvInternal+0x1f2)[0x9b07dd]
/usr/lib/libtcl8.4.so(Tcl_EvalEx+0x1de)[0x9b20b9]
/usr/lib/libtcl8.4.so(Tcl_FSEvalFile+0x1e6)[0x9f72b9]
/usr/lib/libtcl8.4.so(Tcl_EvalFile+0x3b)[0x9f73b6]
seuser[0x804c147]
seuser[0x804c24b]
/lib/libc.so.6(__libc_start_main+0xdf)[0x6d6d5f]
seuser[0x804bff5]
======= Memory map: ========
00111000-0012e000 r-xp 00000000 03:03 3290358    /usr/X11R6/lib/X11/locale/lib/c                                                                                                             ommon/ximcp.so.2
0012e000-00130000 rwxp 0001c000 03:03 3290358    /usr/X11R6/lib/X11/locale/lib/c                                                                                                             ommon/ximcp.so.2
00130000-00137000 r-xp 00000000 03:03 3069291    /usr/X11R6/lib/libXrender.so.1.                                                                                                             2.2
00137000-00138000 rwxp 00007000 03:03 3069291    /usr/X11R6/lib/libXrender.so.1.                                                                                                             2.2
00138000-00146000 r-xp 00000000 03:03 3069286    /usr/X11R6/lib/libXext.so.6.4
00146000-00147000 rwxp 0000e000 03:03 3069286    /usr/X11R6/lib/libXext.so.6.4
003df000-003e8000 r-xp 00000000 03:03 3127411    /lib/libnss_files-2.3.5.so
003e8000-003e9000 r-xp 00008000 03:03 3127411    /lib/libnss_files-2.3.5.so
003e9000-003ea000 rwxp 00009000 03:03 3127411    /lib/libnss_files-2.3.5.so
006a4000-006be000 r-xp 00000000 03:03 3127823    /lib/ld-2.3.5.so
006be000-006bf000 r-xp 00019000 03:03 3127823    /lib/ld-2.3.5.so
006bf000-006c0000 rwxp 0001a000 03:03 3127823    /lib/ld-2.3.5.so
006c2000-007e5000 r-xp 00000000 03:03 3127824    /lib/libc-2.3.5.so
007e5000-007e7000 r-xp 00123000 03:03 3127824    /lib/libc-2.3.5.so
007e7000-007e9000 rwxp 00125000 03:03 3127824    /lib/libc-2.3.5.so
007e9000-007eb000 rwxp 007e9000 00:00 0 
007ed000-00810000 r-xp 00000000 03:03 3127827    /lib/libm-2.3.5.so
00810000-00811000 r-xp 00022000 03:03 3127827    /lib/libm-2.3.5.so
00811000-00812000 rwxp 00023000 03:03 3127827    /lib/libm-2.3.5.so
00814000-00816000 r-xp 00000000 03:03 3127826    /lib/libdl-2.3.5.so
00816000-00817000 r-xp 00001000 03:03 3127826    /lib/libdl-2.3.5.so
00817000-00818000 rwxp 00002000 03:03 3127826    /lib/libdl-2.3.5.so
00849000-0084a000 r-xp 00849000 00:00 0 
008ba000-0098a000 r-xp 00000000 03:03 3069267    /usr/X11R6/lib/libX11.so.6.2
0098a000-0098e000 rwxp 000cf000 03:03 3069267    /usr/X11R6/lib/libX11.so.6.2
00990000-00a2e000 r-xp 00000000 03:03 3074992    /usr/lib/libtcl8.4.so
00a2e000-00a38000 rwxp 0009e000 03:03 3074992    /usr/lib/libtcl8.4.so
00a38000-00a39000 rwxp 00a38000 00:00 0 
00a3b000-00b05000 r-xp 00000000 03:03 3065061    /usr/lib/libtk8.4.so
00b05000-00b12000 rwxp 000c9000 03:03 3065061    /usr/lib/libtk8.4.so
00c09000-00c12000 r-xp 00000000 03:03 3070026    /usr/X11R6/lib/libXcursor.so.1.                                                                                                             0.2
00c12000-00c13000 rwxp 00008000 03:03 3070026    /usr/X11R6/lib/libXcursor.so.1.                                                                                                             0.2
00d55000-00d5e000 r-xp 00000000 03:03 3127828    /lib/libgcc_s-4.0.1-20050727.so                                                                                                             .1
00d5e000-00d5f000 rwxp 00009000 03:03 3127828    /lib/libgcc_s-4.0.1-20050727.so                                                                                                             .1
00ffd000-00ffe000 r-xp 00000000 03:03 3291185    /usr/X11R6/lib/X11/locale/lib/c                                                                                                             ommon/xlcUTF8Load.so.2
00ffe000-00fff000 rwxp 00000000 03:03 3291185    /usr/X11R6/lib/X11/locale/lib/c                                                                                                             ommon/xlcUTF8Load.so.2
0490d000-0491d000 r-xp 00000000 03:03 3127890    /lib/libselinux.so.1
0491d000-0491e000 rwxp 00010000 03:03 3127890    /lib/libselinux.so.1
08048000-080de000 r-xp 00000000 03:03 3075027    /usr/sbin/seuserx
080de000-080e2000 rw-p 00096000 03:03 3075027    /usr/sbin/seuserx
080e2000-080e6000 rw-p 080e2000 00:00 0 
08544000-086e4000 rw-p 08544000 00:00 0          [heap]
b7c00000-b7c21000 rw-p b7c00000 00:00 0 
b7c21000-b7d00000 ---p b7c21000 00:00 0 
b7d4c000-b7d8e000 rw-p b7d4c000 00:00 0 
b7d8e000-b7d94000 r--s 00000000 03:03 3127672    /usr/lib/gcoAborted


Version-Release number of selected component (if applicable):
setools-2.1.1-2

How reproducible:
Always

Steps to Reproduce:
1.every time seuser -X is launched.
2.
3.
  

Actual Results:  error mesg above

Expected Results:  A gui tool for user management

Additional info:
Comment 1 Daniel Walsh 2005-10-03 09:38:40 EDT
Fixed in 	setools-2.1.2-1.1

Note You need to log in before you can comment on or make changes to this bug.